Name:           teeworlds
Version:        0.6.4
Release:        %mkrel 1
Summary:        Online multi-player platform 2D shooter
Group:          Games/Shooter
License:        Teeworlds
URL:            http://www.teeworlds.com/
Source0:        http://downloads.teeworlds.com/%{name}-%{version}-src.tar.gz
Source2:        teeworlds.desktop
Patch1:         teeworlds-0.6.4-mga-extlibs.patch

BuildRequires:  bam >= 0.4.0
BuildRequires:  desktop-file-utils
BuildRequires:  dos2unix
BuildRequires:  icoutils
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(python)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(wavpack)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pnglite-devel
Requires:       %{name}-data >= %{version}-%{release}

%description
The game features cartoon-themed graphics and physics,
and relies heavily on classic shooter weaponry and gameplay.
The controls are heavily inspired by the FPS genre of computer games.

%package        server
Summary:        Server for Teeworlds
Group:          Games/Shooter
Requires:       %{name}-data >= %{version}-%{release}

%description    server
The server daemon for Teeworlds, an online multi-player platform 2D shooter,
which allows you to host online Teeworlds games.

%package        data
Summary:        Data files for Teeworlds
Group:          Games/Shooter
BuildArch:      noarch
Requires:       fonts-ttf-dejavu

%description    data
Data files for Teeworlds, an online multi-player platform 2D shooter.

%prep
%setup -q -n %{name}-%{version}-src
%autopatch -p1

rm -rf src/engine/external
dos2unix readme.txt

%build
%setup_compile_flags
bam -v release

%install
install -D -m 0755 %{name} %{buildroot}%{_gamesbindir}/%{name}
install -D -m 0755 %{name}_srv %{buildroot}%{_gamesbindir}/%{name}-srv

mkdir -p %{buildroot}%{_datadir}/%{name}/data
cp -pr data/* %{buildroot}%{_datadir}/%{name}/data

mkdir -p %{buildroot}%{_iconsdir}/hicolor/256x256/apps/
icotool -i 1 -x other/icons/Teeworlds.ico \
    -o %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png

desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE2}

# Unbundle DejaVu font
rm -rf %{buildroot}%{_datadir}/%{name}/data/fonts/*
ln -s %{_xfontdir}/TTF/dejavu/DejaVuSans.ttf %{buildroot}%{_datadir}/%{name}/data/fonts/DejaVuSans.ttf

%files
%doc readme.txt license.txt
%{_gamesbindir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%files data
%{_datadir}/%{name}/

%files server
%doc readme.txt license.txt
%{_gamesbindir}/%{name}-srv


%changelog
* Thu Nov 10 2016 akien <akien> 0.6.4-1.mga6
+ Revision: 1066274
- Version 0.6.4

* Tue Feb 09 2016 umeabot <umeabot> 0.6.3-2.mga6
+ Revision: 950983
- Mageia 6 Mass Rebuild

* Thu Nov 27 2014 akien <akien> 0.6.3-1.mga5
+ Revision: 799504
- Unbundle DejaVu font
- Version 0.6.3

* Wed Oct 15 2014 umeabot <umeabot> 0.6.2-4.mga5
+ Revision: 740229
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.2-3.mga5
+ Revision: 689765
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 dams <dams> 0.6.2-2.mga5
+ Revision: 585780
- clean specfile
- use official icon from the tarball

  + akien <akien>
    - Completing the patch for the use of system-wide deps

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

  + obgr_seneca <obgr_seneca>
    - Fixed extlib patch for new version
    - New version 0.6.2

* Mon Jan 14 2013 umeabot <umeabot> 0.6.1-5.mga3
+ Revision: 384210
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 malo <malo> 0.6.1-4.mga3
+ Revision: 343824
- updated RPM group

* Sat Sep 24 2011 stormi <stormi> 0.6.1-3.mga2
+ Revision: 147511
- fix teeworlds-0.6.1-extlibs.patch (uninitialized string), fixes a sound loading problem and subsequent segfaults

* Sat Sep 24 2011 fwang <fwang> 0.6.1-2.mga2
+ Revision: 147198
- br freetype
- cleanup br

  + remmy <remmy>
    - Update to latest upstream version

* Sat Feb 19 2011 obgr_seneca <obgr_seneca> 0.5.2-1.mga1
+ Revision: 54311
- imported package teeworlds

